Bug 47602 - New port : audio/gtkpod A gtk2 gui to manage iPod
Summary: New port : audio/gtkpod A gtk2 gui to manage iPod
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-01-28 20:30 UTC by David Le Brun
Modified: 2003-04-21 07:50 UTC (History)
0 users

See Also:


Attachments
gtkpod.shar (3.23 KB, text/plain)
2003-01-28 20:30 UTC, David Le Brun
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Le Brun 2003-01-28 20:30:01 UTC
	gtkpod is a graphical user interface to upload and manage songs to your iPod.
Comment 1 corecode@corecode.ath.cx 2003-01-29 02:41:07 UTC
Lately David LE BRUN told:

> sed 's/^X//' >gtkpod/Makefile << 'END-of-gtkpod/Makefile'
[...]
> XMASTER_SITE_SUBDIR=     ${PORTNAME}
                      ^^^^^ use tab

[...]
> XLIB_DEPENDS=	gtk-x11-2.0.0:${PORTSDIR}/x11-toolkits/gtk20 \
> X		id3:${PORTSDIR}/audio/id3lib \
> X		gnugetopt:${PORTSDIR}/devel/libgnugetopt

1. use shlib major version?
2. is gnugetopt really needed or can it be depended on conditionally
   (5.0-RELEASE and -CURRENT got getopt(3))?

[...]
> XCONFIGURE_ENV+=	CFLAGS="${CFLAGS}"

needed?

> XCONFIGURE_ENV+=	CPPFLAGS="-I${LOCALBASE}/include"

why don't you use ${CPPFLAGS} here (like above and below)?

> XCONFIGURE_ENV+=	CXXFLAGS="${CXXFLAGS}"

needed?

> XCONFIGURE_ENV+=	LDFLAGS="${LDFLAGS} -lgnugetopt"

conditionalize? (see above)

> Xpre-patch:
> X# install locale correctly (not in lib dir but in share dir)
> X	@${REINPLACE_CMD} -E -e 's|DATADIRNAME=lib|DATADIRNAME=share|' \
> X		${WRKSRC}/configure
> X	@${REINPLACE_CMD} -E -e 's|\(libdir\)/locale|\(datadir\)/locale|' \
> X		${WRKSRC}/po/Makefile.in.in

don't use -E if you don't need to and if it complicates stuff:

	@${REINPLACE_CMD} -e 's|DATADIRNAME=lib|DATADIRNAME=share|' \
		${WRKSRC}/configure
	@${REINPLACE_CMD} -e 's|(libdir)/locale|(datadir)/locale|' \
		${WRKSRC}/po/Makefile.in.in

> Xpost-install:
> X.if !defined(NOPORTDOCS)
> X	${MKDIR} ${PREFIX}/share/doc/gtkpod
> X	${INSTALL_DATA} ${WRKSRC}/README ${PREFIX}/share/doc/gtkpod

use ${DOCSDIR}?

[...]
> sed 's/^X//' >gtkpod/pkg-comment << 'END-of-gtkpod/pkg-comment'
> XGtkpod is a GTK2 GUI to manage your iPod

don't need to have ${PORTNAME} in the pkg-comment; see pkg_info output

cheers
  simon

-- 
/"\   http://corecode.ath.cx/#donate
\ /
 \     ASCII Ribbon Campaign
/ \  Against HTML Mail and News
Comment 2 David Le Brun 2003-01-30 22:50:40 UTC
Thanks Simon for reviewing my port.
I take care and apply your advices and notes.
Now, I hope, the port is ok.

Cheers,
David


# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	gtkpod
#	gtkpod/distinfo
#	gtkpod/Makefile
#	gtkpod/pkg-plist
#	gtkpod/pkg-comment
#	gtkpod/pkg-descr
#
echo c - gtkpod
mkdir -p gtkpod > /dev/null 2>&1
echo x - gtkpod/distinfo
sed 's/^X//' >gtkpod/distinfo << 'END-of-gtkpod/distinfo'
XMD5 (gtkpod-0.40.tar.gz) = deb877378835be7119c64e1704f559a9
END-of-gtkpod/distinfo
echo x - gtkpod/Makefile
sed 's/^X//' >gtkpod/Makefile << 'END-of-gtkpod/Makefile'
X# New ports collection makefile for:	gtkpod
X# Date created: 			28 January 2003
X# Whom: 				David Le Brun <david@dyn-ns.net>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	gtkpod
XPORTVERSION=	0.40
XCATEGORIES=	audio
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	${PORTNAME}
X
XMAINTAINER=	david@dyn-ns.net
X
XLIB_DEPENDS=	gtk-x11-2.0.0:${PORTSDIR}/x11-toolkits/gtk20 \
X		id3-3.8.2:${PORTSDIR}/audio/id3lib \
X		gnugetopt.1:${PORTSDIR}/devel/libgnugetopt
X
XUSE_REINPLACE=	yes
XUSE_X_PREFIX=	yes
X
XUSE_GMAKE=	yes
XGNU_CONFIGURE=	yes
X
XCONFIGURE_ENV+=	CPPFLAGS="-I${LOCALBASE}/include"
XCONFIGURE_ENV+=	LDFLAGS="-L${LOCALBASE}/lib -lgnugetopt"
X
Xpre-configure:
X# install locale correctly (share dir instead of lib dir)
X	@${REINPLACE_CMD} -e 's|DATADIRNAME=lib|DATADIRNAME=share|' \
X		${WRKSRC}/configure
X	@${REINPLACE_CMD} -e 's|(libdir)/locale|(datadir)/locale|' \
X		${WRKSRC}/po/Makefile.in.in
X
Xpost-install:
X.if !defined(NOPORTDOCS)
X	@${MKDIR} ${DOCSDIR}
X	@${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}
X.endif
X
X.include <bsd.port.mk>
END-of-gtkpod/Makefile
echo x - gtkpod/pkg-plist
sed 's/^X//' >gtkpod/pkg-plist << 'END-of-gtkpod/pkg-plist'
Xbin/gtkpod
Xshare/locale/de/LC_MESSAGES/gtkpod.mo
X%%PORTDOCS%%/share/doc/gtkpod/README
X%%PORTDOCS%%@dirrm share/doc/gtkpod
END-of-gtkpod/pkg-plist
echo x - gtkpod/pkg-comment
sed 's/^X//' >gtkpod/pkg-comment << 'END-of-gtkpod/pkg-comment'
XA GUI to upload songs and playlists to iPod
END-of-gtkpod/pkg-comment
echo x - gtkpod/pkg-descr
sed 's/^X//' >gtkpod/pkg-descr << 'END-of-gtkpod/pkg-descr'
Xgtkpod is a graphical user interface to upload and manage songs to your iPod. 
X
XIt allows you to :
X    * Read your existing iTunesDB (i.e. import the existing contents of 
X      your iPod).
X    * Add mp3 files to the iPod. You can choose the charset the ID3 tags 
X      are encoded in from within gtkpod. The default is the charset currently 
X      used by your locale setting.
X    * When adding songs, gtkpod detects duplicates (option).
X    * Remove songs from the iPod.
X    * Create and modify playlists.
X    * Modify ID3 tags -- changes are also updated in the original file (option)
X    * Write the updated iTunesDB and added songs to your iPod.
X    * Work offline and synchronize your new playlists / songs with the iPod
X      at a later time
X
XNota: you need a Windows iPod
X
XWWW: http://gtkpod.sourceforge.net
END-of-gtkpod/pkg-descr
exit
Comment 3 David Le Brun 2003-03-02 23:21:24 UTC
* Update to version 0.43-1
* De-pkg-comment

diff -ruN gtkpod.old/Makefile gtkpod/Makefile
--- gtkpod.old/Makefile	Thu Jan 30 23:31:25 2003
+++ gtkpod/Makefile	Sun Mar  2 00:07:34 2003
@@ -6,12 +6,13 @@
 #
 
 PORTNAME=	gtkpod
-PORTVERSION=	0.40
+PORTVERSION=	0.43-1
 CATEGORIES=	audio
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	${PORTNAME}
 
 MAINTAINER=	david@dyn-ns.net
+COMMENT=	A GUI to upload songs and playlists to iPod
 
 LIB_DEPENDS=	gtk-x11-2.0.0:${PORTSDIR}/x11-toolkits/gtk20 \
 		id3-3.8.2:${PORTSDIR}/audio/id3lib \
diff -ruN gtkpod.old/distinfo gtkpod/distinfo
--- gtkpod.old/distinfo	Mon Jan 27 22:59:09 2003
+++ gtkpod/distinfo	Sun Mar  2 00:01:05 2003
@@ -1 +1 @@
-MD5 (gtkpod-0.40.tar.gz) = deb877378835be7119c64e1704f559a9
+MD5 (gtkpod-0.43-1.tar.gz) = 5b600a8b1103bf37b84658a5b83ad81e
diff -ruN gtkpod.old/pkg-comment gtkpod/pkg-comment
--- gtkpod.old/pkg-comment	Thu Jan 30 23:33:40 2003
+++ gtkpod/pkg-comment	Thu Jan  1 01:00:00 1970
@@ -1 +0,0 @@
-A GUI to upload songs and playlists to iPod
Comment 4 David Le Brun 2003-03-23 22:43:54 UTC
Update to gtkpod 0.50

This release brings a bunch of enhancements, like
drag and drop directly from nautilus/konqueror, more
intelligent drag and drop logic (e.g. dropping between to
playlists will create a new playlist to drop in),
startup/shutdown scripts, automatic mount/unmout of the iPod
directory, variable number of sort tabs (none to five),
reorderable song attribute columns, an overall speed-up of
the display code and a play song command (user-defined
command line).



diff -ruN gtkpod.old/Makefile gtkpod/Makefile
--- gtkpod.old/Makefile	Sun Mar  2 00:07:34 2003
+++ gtkpod/Makefile	Sat Mar 22 23:30:31 2003
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	gtkpod
-PORTVERSION=	0.43-1
+PORTVERSION=	0.50
 CATEGORIES=	audio
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	${PORTNAME}
diff -ruN gtkpod.old/distinfo gtkpod/distinfo
--- gtkpod.old/distinfo	Sun Mar  2 00:01:05 2003
+++ gtkpod/distinfo	Sat Mar 22 22:40:47 2003
@@ -1 +1 @@
-MD5 (gtkpod-0.43-1.tar.gz) = 5b600a8b1103bf37b84658a5b83ad81e
+MD5 (gtkpod-0.50.tar.gz) = 505b34ef5a6ccaf6592c0890c7044e6c
diff -ruN gtkpod.old/pkg-plist gtkpod/pkg-plist
--- gtkpod.old/pkg-plist	Tue Jan 28 00:28:59 2003
+++ gtkpod/pkg-plist	Sat Mar 22 22:51:33 2003
@@ -1,4 +1,5 @@
 bin/gtkpod
 share/locale/de/LC_MESSAGES/gtkpod.mo
+share/locale/ja/LC_MESSAGES/gtkpod.mo
 %%PORTDOCS%%/share/doc/gtkpod/README
 %%PORTDOCS%%@dirrm share/doc/gtkpod
Comment 5 Munechika Sumikawa freebsd_committer 2003-04-21 07:50:33 UTC
State Changed
From-To: open->closed

Commited, thanks.